Bug 140154 - remove misleading message
Summary: remove misleading message
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-20 09:39 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 16:48:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to avoid second line (412 bytes, patch)
2004-11-20 09:39 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2004-11-20 09:39:06 UTC
Description of problem:
When iptables is used without appropriate priviledges, it prints

iptables v1.2.11: can't initialize iptables table `filter': Permission denied
(you must be root)
Perhaps iptables or your kernel needs to be upgraded.

The second  line is misleading and should be removed.

Version-Release number of selected component (if applicable):
iptables-1.2.11-3.1.FC3

How reproducible:
always

Steps to Reproduce:
1.run iptables -L as normal user
2.
3.
  
Actual results:
see above

Expected results:
second line missing

Additional info:

Comment 1 Ulrich Drepper 2004-11-20 09:39:06 UTC
Created attachment 107113 [details]
Patch to avoid second line

Comment 2 Thomas Woerner 2005-03-18 16:48:45 UTC
Fixed in rawhide in rpm iptables-1.3.0-2 or newer.


Note You need to log in before you can comment on or make changes to this bug.